#!/usr/bin/env python2
# -*- coding: utf-8 -*-

class Employee:
    id_pracownika=1
    lista_id=[]
    def __init__(self,imie,nazwisko):
        self.imie = imie
        self.nazwisko = nazwisko
        self.id_pracownika = Employee.id_pracownika
        Employee.id_pracownika += 1
        self.lista_id.append(self.id_pracownika)

    def get_id(self):
        return (self.id_pracownika)

class Recruiter(Employee):
    def __init__(self, imie, nazwisko):

        Employee.__init__(self,imie,nazwisko)
        self.recruited = []

    def recruit(self,id_pracownika):

        if id != self.id_pracownika:
            if id_pracownika in Employee.lista_id:
                self.recruited.append(id_pracownika)
            else:
                print("Nie ma takiego pracownika")
        else:
            print("Rekruter nie moze rekrutowac samego siebie")

class Programmer(Recruiter):
    def __init__(self,imie,nazwisko,rekruter):
        Recruiter.__init__(self,imie,nazwisko)

    def recruited_by(self):
        print(f'Osoba {self.imie} {self.nazwisko} zostala zrekrutowana przez rekrutera o ID {Recruiter.id_pracownika}')


print('********')
pracownik1 = Employee('Jan', 'Kowalski')
print(pracownik1.imie)
print(pracownik1.nazwisko)
print(pracownik1.get_id())

print('********')

pracownik2 = Employee('Anna', 'Nowak')
print(pracownik2.imie)
print(pracownik2.nazwisko)
print(pracownik2.get_id())

print('********')

pracownik3 = Programmer('Janusz','Gajos', 1)
print(pracownik3.imie)
print(pracownik3.nazwisko)
print(pracownik3.id_pracownika)
print(pracownik3.get_id())
pracownik3.recruited_by()



